# Class CIM_SAAction
extends CIM_PolicyAction

SAAction is the base class for the various types of key exchange or IPsec actions. It is abstract and used to categorize the different types of actions of SARules.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_Policy
|
+--CIM_PolicyAction
|
+--CIM_SAAction

## Direct Known Subclasses

CIM_SANegotiationAction
CIM_SAStaticAction

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Abstract | boolean | true
Description | string | SAAction is the base class for the various types of key exchange or IPsec actions. It is abstract and used to categorize the different types of actions of SARules.
MappingStrings | string | IPSP Policy Model.IETF|SAAction
UMLPackagePath | string | CIM::IPsecPolicy
Version | string | 2.8.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
DoPacketLogging | boolean |
Description | string | DoPacketLogging causes a log message to be generated when the action is applied to a packet.
MappingStrings | string | IPSP Policy Model.IETF|SAAction.DoPacketLogging
ModelCorrespondence | string | CIM_SecurityAssociationEndpoint.PacketLoggingActive

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
CommonName | string | CIM_Policy
CreationClassName | string | CIM_PolicyAction
Description | string | CIM_ManagedElement
DoActionLogging | boolean | CIM_PolicyAction
ElementName | string | CIM_ManagedElement
InstanceID | string | CIM_ManagedElement
PolicyActionName | string | CIM_PolicyAction
PolicyRuleCreationClassName | string | CIM_PolicyAction
PolicyRuleName | string | CIM_PolicyAction
SystemCreationClassName | string | CIM_PolicyAction
SystemName | string | CIM_PolicyAction
PolicyKeywords | string[] | CIM_Policy

## Class Methods